ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.RenderGroup = RENDERGROUP_BOTH
ENT.Spawnable = true
ENT.AdminSpawnable = false
ENT.PrintName = "Gravel Crate"
ENT.Author = "ClemensProduction aka Zerochain"
ENT.Information = "info"
ENT.Category = "Zeros RetroMiningSystem"
ENT.Model = "models/Zerochain/props_mining/zrms_gravelcrate.mdl"
ENT.AutomaticFrameAdvance = true
ENT.DisableDuplicator = false

function ENT:SetupDataTables()
	self:NetworkVar("Float", 2, "cIron")
	self:NetworkVar("Float", 3, "cBronze")
	self:NetworkVar("Float", 4, "cSilver")
	self:NetworkVar("Float", 5, "cGold")
	self:NetworkVar("Float", 6, "cCoal")

	if (SERVER) then
		self:SetcIron(0)
		self:SetcBronze(0)
		self:SetcSilver(0)
		self:SetcGold(0)
		self:SetcCoal(0)
	end
end
